summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xeasy_e17.sh12
1 files changed, 7 insertions, 5 deletions
diff --git a/easy_e17.sh b/easy_e17.sh
index d282bd8..31a1720 100755
--- a/easy_e17.sh
+++ b/easy_e17.sh
@@ -32,6 +32,7 @@ ewk_build_dir="./WebKitBuild/Release"
git=0
git_url="git@asynk.ch:e"
+git_branch="master"
src_url="http://svn.enlightenment.org/svn/e/trunk"
src_rev="HEAD"
cmd_svn_test="svn info"
@@ -50,7 +51,7 @@ everything-aspell everything-mpris everything-pidgin everything-places everythin
eweather exalt-client exebuf execwatch flame forecasts iiirk language mail mem moon mpdule net news penguins photo places quickaccess \
rain screenshot skel slideshow snow taskbar tclock tiling uptime weather winselector wlan xkbswitch"
bin_extra="calculator clouseau converter e_phys ecrire editje edje_viewer elfe elmdentica elsa emote empower enjoy enki epdf envision \
- ephoto espionnage Eterm eve excessive expedite exquisite eyelight phonebook rage sticky-notes"
+ ephoto espionnage Eterm eve excessive exotic expedite exquisite eyelight phonebook rage sticky-notes"
bin_games="eblock e_cho econcentration eskiss e-type minesweeper ninestime"
packages_basic="$efl_basic $bin_basic"
@@ -134,7 +135,7 @@ function header ()
echo
echo " efl + e"
if [ $git -eq 1 ]; then
- echo " Source url : $git_url"
+ echo " Source url : $git_url ($git_branch)"
else
echo " Source url : $src_url (Revision: $src_rev)"
fi
@@ -181,7 +182,7 @@ function help ()
echo " - full: simply everything"
echo
echo " --srcupdate = update only the sources"
- echo " --git = use git instead fo svn"
+ echo " --git = use git instead of svn"
echo " --help = this help"
echo
echo -e " \033[1mOPTIONS:\033[0m"
@@ -189,6 +190,7 @@ function help ()
echo " --instpath=<path> = change the default install path"
echo " --srcpath=<path> = change the default source path"
echo " --srcurl=<url> = change the default source url"
+ echo " --branch=<branch> = change the default git branch"
echo " --srcmode=<packages/full> = checkout only required package source"
echo " or simply everthing (huge)"
echo " --srcrev=<revision> = set the default source revision"
@@ -813,6 +815,7 @@ function git_fetch ()
set_title "Updating sources in '$src_path' ..."
echo "- updating sources in '$src_path' ..."
cd $src_path
+ git checkout $git_branch || exit 1
if [ $make_only == 0 ]; then
echo "- checkout modified files"
git status -s | grep -e '^ M' | cut -d " " -f 3 | xargs git checkout 2>/dev/null
@@ -1280,13 +1283,12 @@ fi
# parse updates
open_header "Parsing updates"
+ewebkit_updates=0
echo "- parse updated sources ..."
if [ "$action" == "update" ]; then
if [ $ewk_enabled -eq 1 ] && [ -e "$tmp_path/ewebkit_update.log" ]; then
ewebkit_updates=$(egrep "^[A|D|G|U] " $tmp_path/ewebkit_update.log | wc -l)
[ $ewebkit_updates -gt 0 ] && echo " - ewebkit"
- else
- ewebkit_updates=0
fi
if [ $git -eq 0 ]; then
[ -e "$tmp_path/source_update.log" ] && parse_svn_updates